diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/queue.h ns-3.44/src/network/utils/queue.h
--- ns-3.43/src/network/utils/queue.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/queue.h	2025-03-09 16:55:49.679372300 -0700
@@ -29,13 +29,13 @@
 {
 
 /**
- * \ingroup network
- * \defgroup queue Queue
+ * @ingroup network
+ * @defgroup queue Queue
  */
 
 /**
- * \ingroup queue
- * \brief Abstract base class for packet Queues
+ * @ingroup queue
+ * @brief Abstract base class for packet Queues
  *
  * This class defines the subset of the base APIs for packet queues in the ns-3 system
  * that is independent of the type of enqueued objects
@@ -44,8 +44,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -53,19 +53,19 @@
     ~QueueBase() override;
 
     /**
-     * \brief Append the item type to the provided type ID if the latter does not
+     * @brief Append the item type to the provided type ID if the latter does not
      *        end with '>'
      *
-     * \param typeId the type ID
-     * \param itemType the item type
+     * @param typeId the type ID
+     * @param itemType the item type
      *
      * This method is meant to be invoked by helpers to save users from
      * specifying the type of items stored in a queue. For instance,
      * PointToPointHelper::SetQueue calls
      *
-     * \code
+     * @code
      *   QueueBase::AppendItemTypeIfNotPresent (type, "Packet");
-     * \endcode
+     * @endcode
      *
      * where type specifies the queue type (e.g., "ns3::DropTailQueue").
      * This allows users to call SetQueue ("ns3::DropTailQueue")
@@ -74,77 +74,77 @@
     static void AppendItemTypeIfNotPresent(std::string& typeId, const std::string& itemType);
 
     /**
-     * \return true if the queue is empty; false otherwise
+     * @return true if the queue is empty; false otherwise
      */
     bool IsEmpty() const;
 
     /**
-     * \return The number of packets currently stored in the Queue
+     * @return The number of packets currently stored in the Queue
      */
     uint32_t GetNPackets() const;
 
     /**
-     * \return The number of bytes currently occupied by the packets in the Queue
+     * @return The number of bytes currently occupied by the packets in the Queue
      */
     uint32_t GetNBytes() const;
 
     /**
-     * \return The current size of the Queue in terms of packets, if the maximum
+     * @return The current size of the Queue in terms of packets, if the maximum
      *         size is specified in packets, or bytes, otherwise
      */
     QueueSize GetCurrentSize() const;
 
     /**
-     * \return The total number of bytes received by this Queue since the
+     * @return The total number of bytes received by this Queue since the
      * simulation began, or since ResetStatistics was called, according to
      * whichever happened more recently
      */
     uint32_t GetTotalReceivedBytes() const;
 
     /**
-     * \return The total number of packets received by this Queue since the
+     * @return The total number of packets received by this Queue since the
      * simulation began, or since ResetStatistics was called, according to
      * whichever happened more recently
      */
     uint32_t GetTotalReceivedPackets() const;
 
     /**
-     * \return The total number of bytes dropped by this Queue since the
+     * @return The total number of bytes dropped by this Queue since the
      * simulation began, or since ResetStatistics was called, according to
      * whichever happened more recently
      */
     uint32_t GetTotalDroppedBytes() const;
 
     /**
-     * \return The total number of bytes dropped before enqueue by this Queue
+     * @return The total number of bytes dropped before enqueue by this Queue
      * since the simulation began, or since ResetStatistics was called, according
      * to whichever happened more recently
      */
     uint32_t GetTotalDroppedBytesBeforeEnqueue() const;
 
     /**
-     * \return The total number of bytes dropped after dequeue by this Queue
+     * @return The total number of bytes dropped after dequeue by this Queue
      * since the simulation began, or since ResetStatistics was called, according
      * to whichever happened more recently
      */
     uint32_t GetTotalDroppedBytesAfterDequeue() const;
 
     /**
-     * \return The total number of packets dropped by this Queue since the
+     * @return The total number of packets dropped by this Queue since the
      * simulation began, or since ResetStatistics was called, according to
      * whichever happened more recently
      */
     uint32_t GetTotalDroppedPackets() const;
 
     /**
-     * \return The total number of packets dropped before enqueue by this Queue
+     * @return The total number of packets dropped before enqueue by this Queue
      * since the simulation began, or since ResetStatistics was called, according
      * to whichever happened more recently
      */
     uint32_t GetTotalDroppedPacketsBeforeEnqueue() const;
 
     /**
-     * \return The total number of packets dropped after dequeue by this Queue
+     * @return The total number of packets dropped after dequeue by this Queue
      * since the simulation began, or since ResetStatistics was called, according
      * to whichever happened more recently
      */
@@ -157,25 +157,25 @@
     void ResetStatistics();
 
     /**
-     * \brief Set the maximum size of this queue
+     * @brief Set the maximum size of this queue
      *
      * Trying to set a null size has no effect.
      *
-     * \param size the maximum size
+     * @param size the maximum size
      */
     void SetMaxSize(QueueSize size);
 
     /**
-     * \return the maximum size of this queue
+     * @return the maximum size of this queue
      */
     QueueSize GetMaxSize() const;
 
     /**
-     * \brief Check if the queue would overflow with additional bytes or packets
+     * @brief Check if the queue would overflow with additional bytes or packets
      * Note: the check is performed according to the queue's operating mode (bytes or packets).
-     * \param nPackets number of additional packets
-     * \param nBytes number of additional bytes
-     * \return true if the queue should overflow, false otherwise.
+     * @param nPackets number of additional packets
+     * @param nBytes number of additional bytes
+     * @return true if the queue should overflow, false otherwise.
      */
     bool WouldOverflow(uint32_t nPackets, uint32_t nBytes) const;
 
@@ -219,8 +219,8 @@
 };
 
 /**
- * \ingroup queue
- * \brief Template class for packet Queues
+ * @ingroup queue
+ * @brief Template class for packet Queues
  *
  * This class defines the subset of the base APIs for packet queues in the ns-3 system
  * that is dependent on the type of enqueued objects.
@@ -249,16 +249,16 @@
  * value for the template template parameter, instead of queue.h in your .h file.
  * Then, include queue.h in the corresponding .cc file.
  *
- * \tparam Item \explicit Type of the objects stored within the queue
- * \tparam Container \explicit Type of the container that stores queue items
+ * @tparam Item \explicit Type of the objects stored within the queue
+ * @tparam Container \explicit Type of the container that stores queue items
  */
 template <typename Item, typename Container>
 class Queue : public QueueBase
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -267,29 +267,29 @@
 
     /**
      * Place an item into the Queue (each subclass defines the position)
-     * \param item item to enqueue
-     * \return True if the operation was successful; false otherwise
+     * @param item item to enqueue
+     * @return True if the operation was successful; false otherwise
      */
     virtual bool Enqueue(Ptr<Item> item) = 0;
 
     /**
      * Remove an item from the Queue (each subclass defines the position),
      * counting it and tracing it as dequeued
-     * \return 0 if the operation was not successful; the item otherwise.
+     * @return 0 if the operation was not successful; the item otherwise.
      */
     virtual Ptr<Item> Dequeue() = 0;
 
     /**
      * Remove an item from the Queue (each subclass defines the position),
      * counting it and tracing it as both dequeued and dropped
-     * \return 0 if the operation was not successful; the item otherwise.
+     * @return 0 if the operation was not successful; the item otherwise.
      */
     virtual Ptr<Item> Remove() = 0;
 
     /**
      * Get a copy of an item in the queue (each subclass defines the position)
      * without removing it
-     * \return 0 if the operation was not successful; the item otherwise.
+     * @return 0 if the operation was not successful; the item otherwise.
      */
     virtual Ptr<const Item> Peek() const = 0;
 
@@ -312,51 +312,51 @@
     /**
      * Get a const reference to the container of queue items.
      *
-     * \return a const reference to the container of queue items
+     * @return a const reference to the container of queue items
      */
     const Container& GetContainer() const;
 
     /**
      * Push an item in the queue
-     * \param pos the position before which the item will be inserted
-     * \param item the item to enqueue
-     * \return true if success, false if the packet has been dropped.
+     * @param pos the position before which the item will be inserted
+     * @param item the item to enqueue
+     * @return true if success, false if the packet has been dropped.
      */
     bool DoEnqueue(ConstIterator pos, Ptr<Item> item);
 
     /**
      * Push an item in the queue
-     * \param pos the position before which the item will be inserted
-     * \param item the item to enqueue
+     * @param pos the position before which the item will be inserted
+     * @param item the item to enqueue
      * \param[out] ret an iterator pointing to the inserted value
-     * \return true if success, false if the packet has been dropped.
+     * @return true if success, false if the packet has been dropped.
      */
     bool DoEnqueue(ConstIterator pos, Ptr<Item> item, Iterator& ret);
 
     /**
      * Pull the item to dequeue from the queue
-     * \param pos the position of the item to dequeue
-     * \return the item.
+     * @param pos the position of the item to dequeue
+     * @return the item.
      */
     Ptr<Item> DoDequeue(ConstIterator pos);
 
     /**
      * Pull the item to drop from the queue
-     * \param pos the position of the item to remove
-     * \return the item.
+     * @param pos the position of the item to remove
+     * @return the item.
      */
     Ptr<Item> DoRemove(ConstIterator pos);
 
     /**
      * Peek the front item in the queue
-     * \param pos the position of the item to peek
-     * \return the item.
+     * @param pos the position of the item to peek
+     * @return the item.
      */
     Ptr<const Item> DoPeek(ConstIterator pos) const;
 
     /**
-     * \brief Drop a packet before enqueue
-     * \param item item that was dropped
+     * @brief Drop a packet before enqueue
+     * @param item item that was dropped
      *
      * This method is called by the base class when a packet is dropped because
      * the queue is full and by the subclasses to notify parent (this class) that
@@ -365,8 +365,8 @@
     void DropBeforeEnqueue(Ptr<Item> item);
 
     /**
-     * \brief Drop a packet after dequeue
-     * \param item item that was dropped
+     * @brief Drop a packet after dequeue
+     * @param item item that was dropped
      *
      * This method is called by the base class when a Remove operation is requested
      * and by the subclasses to notify parent (this class) that a packet has been
@@ -374,7 +374,7 @@
      */
     void DropAfterDequeue(Ptr<Item> item);
 
-    /** \copydoc ns3::Object::DoDispose */
+    /** @copydoc ns3::Object::DoDispose */
     void DoDispose() override;
 
   private:
@@ -389,8 +389,8 @@
     struct MakeGetItem
     {
         /**
-         * \param it the given const iterator
-         * \return the item included in the element pointed to by the given iterator
+         * @param it the given const iterator
+         * @return the item included in the element pointed to by the given iterator
          */
         static Ptr<Item> GetItem(const Container&, const ConstIterator it)
         {
@@ -410,9 +410,9 @@
         std::void_t<decltype(std::declval<T>().GetItem(std::declval<ConstIterator>()))>>
     {
         /**
-         * \param container the container
-         * \param it the given const iterator
-         * \return the item included in the element pointed to by the given iterator
+         * @param container the container
+         * @param it the given const iterator
+         * @return the item included in the element pointed to by the given iterator
          */
         static Ptr<Item> GetItem(const Container& container, const ConstIterator it)
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/queue-item.h ns-3.44/src/network/utils/queue-item.h
--- ns-3.43/src/network/utils/queue-item.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/queue-item.h	2025-03-09 16:55:49.679372300 -0700
@@ -8,10 +8,10 @@
 #ifndef QUEUE_ITEM_H
 #define QUEUE_ITEM_H
 
+#include "ns3/address.h"
 #include "ns3/nstime.h"
 #include "ns3/ptr.h"
 #include "ns3/simple-ref-count.h"
-#include <ns3/address.h>
 
 namespace ns3
 {
@@ -19,13 +19,13 @@
 class Packet;
 
 /**
- * \ingroup network
- * \defgroup netdevice Network Device
+ * @ingroup network
+ * @defgroup netdevice Network Device
  */
 
 /**
- * \ingroup netdevice
- * \brief Base class to represent items of packet Queues
+ * @ingroup netdevice
+ * @brief Base class to represent items of packet Queues
  *
  * An item stored in an ns-3 packet Queue contains a packet and possibly other
  * information. An item of the base class only contains a packet. Subclasses
@@ -36,8 +36,8 @@
 {
   public:
     /**
-     * \brief Create a queue item containing a packet.
-     * \param p the packet included in the created item.
+     * @brief Create a queue item containing a packet.
+     * @param p the packet included in the created item.
      */
     QueueItem(Ptr<Packet> p);
 
@@ -49,23 +49,23 @@
     QueueItem& operator=(const QueueItem&) = delete;
 
     /**
-     * \return the packet included in this item.
+     * @return the packet included in this item.
      */
     Ptr<Packet> GetPacket() const;
 
     /**
-     * \brief Use this method (instead of GetPacket ()->GetSize ()) to get the packet size
+     * @brief Use this method (instead of GetPacket ()->GetSize ()) to get the packet size
      *
      * Subclasses may keep header and payload separate to allow manipulating the header,
      * so using this method ensures that the correct packet size is returned.
      *
-     * \return the size of the packet included in this item.
+     * @return the size of the packet included in this item.
      */
     virtual uint32_t GetSize() const;
 
     /**
-     * \enum Uint8Values
-     * \brief 1-byte fields of the packet whose value can be retrieved, if present
+     * @enum Uint8Values
+     * @brief 1-byte fields of the packet whose value can be retrieved, if present
      */
     enum Uint8Values
     {
@@ -73,24 +73,24 @@
     };
 
     /**
-     * \brief Retrieve the value of a given field from the packet, if present
-     * \param field the field whose value has to be retrieved
-     * \param value the output parameter to store the retrieved value
+     * @brief Retrieve the value of a given field from the packet, if present
+     * @param field the field whose value has to be retrieved
+     * @param value the output parameter to store the retrieved value
      *
-     * \return true if the requested field is present in the packet, false otherwise.
+     * @return true if the requested field is present in the packet, false otherwise.
      */
     virtual bool GetUint8Value(Uint8Values field, uint8_t& value) const;
 
     /**
-     * \brief Print the item contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the item contents.
+     * @param os output stream in which the data should be printed.
      */
     virtual void Print(std::ostream& os) const;
 
     /**
      * TracedCallback signature for Ptr<QueueItem>
      *
-     * \param [in] item The queue item.
+     * @param [in] item The queue item.
      */
     typedef void (*TracedCallback)(Ptr<const QueueItem> item);
 
@@ -102,16 +102,16 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param item the item
- * \returns a reference to the stream
+ * @param os the stream
+ * @param item the item
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const QueueItem& item);
 
 /**
- * \ingroup network
+ * @ingroup network
  *
  * QueueDiscItem is the abstract base class for items that are stored in a queue
  * disc. It is derived from QueueItem (which only consists of a Ptr<Packet>)
@@ -122,10 +122,10 @@
 {
   public:
     /**
-     * \brief Create a queue disc item.
-     * \param p the packet included in the created item.
-     * \param addr the destination MAC address
-     * \param protocol the L3 protocol number
+     * @brief Create a queue disc item.
+     * @param p the packet included in the created item.
+     * @param addr the destination MAC address
+     * @param protocol the L3 protocol number
      */
     QueueDiscItem(Ptr<Packet> p, const Address& addr, uint16_t protocol);
 
@@ -137,43 +137,43 @@
     QueueDiscItem& operator=(const QueueDiscItem&) = delete;
 
     /**
-     * \brief Get the MAC address included in this item
-     * \return the MAC address included in this item.
+     * @brief Get the MAC address included in this item
+     * @return the MAC address included in this item.
      */
     Address GetAddress() const;
 
     /**
-     * \brief Get the L3 protocol included in this item
-     * \return the L3 protocol included in this item.
+     * @brief Get the L3 protocol included in this item
+     * @return the L3 protocol included in this item.
      */
     uint16_t GetProtocol() const;
 
     /**
-     * \brief Get the transmission queue index included in this item
-     * \return the transmission queue index included in this item.
+     * @brief Get the transmission queue index included in this item
+     * @return the transmission queue index included in this item.
      */
     uint8_t GetTxQueueIndex() const;
 
     /**
-     * \brief Set the transmission queue index to store in this item
-     * \param txq the transmission queue index to store in this item.
+     * @brief Set the transmission queue index to store in this item
+     * @param txq the transmission queue index to store in this item.
      */
     void SetTxQueueIndex(uint8_t txq);
 
     /**
-     * \brief Get the timestamp included in this item
-     * \return the timestamp included in this item.
+     * @brief Get the timestamp included in this item
+     * @return the timestamp included in this item.
      */
     Time GetTimeStamp() const;
 
     /**
-     * \brief Set the timestamp included in this item
-     * \param t the timestamp to include in this item.
+     * @brief Set the timestamp included in this item
+     * @param t the timestamp to include in this item.
      */
     void SetTimeStamp(Time t);
 
     /**
-     * \brief Add the header to the packet
+     * @brief Add the header to the packet
      *
      * Subclasses may keep header and payload separate to allow manipulating the header,
      * so this method allows to add the header to the packet before sending the packet
@@ -182,27 +182,27 @@
     virtual void AddHeader() = 0;
 
     /**
-     * \brief Print the item contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the item contents.
+     * @param os output stream in which the data should be printed.
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Marks the packet as a substitute for dropping it, such as for Explicit Congestion
+     * @brief Marks the packet as a substitute for dropping it, such as for Explicit Congestion
      * Notification
      *
-     * \return true if the packet is marked by this method or is already marked, false otherwise
+     * @return true if the packet is marked by this method or is already marked, false otherwise
      */
     virtual bool Mark() = 0;
 
     /**
-     * \brief Computes the hash of various fields of the packet header
+     * @brief Computes the hash of various fields of the packet header
      *
      * This method just returns 0. Subclasses should implement a reasonable hash
      * for their protocol type, such as hashing on the TCP/IP 5-tuple.
      *
-     * \param perturbation hash perturbation value
-     * \return the hash of various fields of the packet header
+     * @param perturbation hash perturbation value
+     * @return the hash of various fields of the packet header
      */
     virtual uint32_t Hash(uint32_t perturbation = 0) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/queue-limits.h ns-3.44/src/network/utils/queue-limits.h
--- ns-3.43/src/network/utils/queue-limits.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/queue-limits.h	2025-03-09 16:55:49.679372300 -0700
@@ -16,9 +16,9 @@
 {
 
 /**
- * \ingroup network
+ * @ingroup network
  *
- * \brief Abstract base class for NetDevice queue length controller
+ * @brief Abstract base class for NetDevice queue length controller
  *
  * QueueLimits is an abstract base class providing the interface to
  * the NetDevice queue length controller.
@@ -33,21 +33,21 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     ~QueueLimits() override;
 
     /**
-     * \brief Reset queue limits state
+     * @brief Reset queue limits state
      */
     virtual void Reset() = 0;
 
     /**
-     * \brief Record number of completed bytes and recalculate the limit
-     * \param count the number of completed bytes
+     * @brief Record number of completed bytes and recalculate the limit
+     * @param count the number of completed bytes
      */
     virtual void Completed(uint32_t count) = 0;
 
@@ -56,14 +56,14 @@
      * number of bytes that can be passed again to the NetDevice.
      * A negative value means that no packets can be passed to the NetDevice.
      * In this case, NotifyTransmittedBytes stops the transmission queue.
-     * \brief Returns how many bytes can be queued
-     * \return the number of bytes that can be queued
+     * @brief Returns how many bytes can be queued
+     * @return the number of bytes that can be queued
      */
     virtual int32_t Available() const = 0;
 
     /**
-     * \brief Record the number of bytes queued
-     * \param count the number of bytes queued
+     * @brief Record the number of bytes queued
+     * @param count the number of bytes queued
      */
     virtual void Queued(uint32_t count) = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/queue-size.h ns-3.44/src/network/utils/queue-size.h
--- ns-3.43/src/network/utils/queue-size.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/queue-size.h	2025-03-09 16:55:49.679372300 -0700
@@ -20,13 +20,13 @@
 {
 
 /**
- * \ingroup network
- * \defgroup queuesize Queue size
+ * @ingroup network
+ * @defgroup queuesize Queue size
  */
 
 /**
- * \ingroup queuesize
- * \brief Enumeration of the operating modes of queues.
+ * @ingroup queuesize
+ * @brief Enumeration of the operating modes of queues.
  *
  */
 enum QueueSizeUnit
@@ -36,16 +36,16 @@
 };
 
 /**
- * \ingroup queuesize
- * \brief Class for representing queue sizes
+ * @ingroup queuesize
+ * @brief Class for representing queue sizes
  *
  * Allows for natural and familiar use of queue sizes.  Allows construction
  * from strings, natural sum e.g.:
- * \code
+ * @code
  *   QueueSize x("7kB");
  *   Ptr<Packet> p = Create<Packet> (1000);
  *   QueueSize y = x + p;    // 8kB
- * \endcode
+ * @endcode
  * This class also supports the regular comparison operators \c <, \c >,
  * \c <=, \c >=, \c ==, and \c !=
  *
@@ -79,22 +79,22 @@
  * * "8KiB" = 8,192 bytes
  * * "1000p" = 1,000 packets
  *
- * \see attribute_QueueSize
+ * @see attribute_QueueSize
  */
 class QueueSize
 {
   public:
     QueueSize();
     /**
-     * \brief Integer constructor
+     * @brief Integer constructor
      *
      * Construct a queue size from a mode and a value.
-     * \param unit whether the value is expressed in terms of packets or bytes
-     * \param value the value
+     * @param unit whether the value is expressed in terms of packets or bytes
+     * @param value the value
      */
     QueueSize(QueueSizeUnit unit, uint32_t value);
     /**
-     * \brief String constructor
+     * @brief String constructor
      *
      * Construct a queue size from a string.  Many different unit strings are supported
      * Supported unit strings:
@@ -108,77 +108,77 @@
      * "8KiB" = 8,192 bytes
      * "1000p" = 1,000 packets
      *
-     * \param size string representing the size
+     * @param size string representing the size
      */
     QueueSize(std::string size);
 
     /**
-     * \return true if this size is less than rhs
+     * @return true if this size is less than rhs
      *
-     * \param rhs the queue size to compare to this queue size
+     * @param rhs the queue size to compare to this queue size
      */
     bool operator<(const QueueSize& rhs) const;
 
     /**
-     * \return true if this size is less than or equal to rhs
+     * @return true if this size is less than or equal to rhs
      *
-     * \param rhs the queue size to compare to this queue size
+     * @param rhs the queue size to compare to this queue size
      */
     bool operator<=(const QueueSize& rhs) const;
 
     /**
-     * \return true if this size is greater than rhs
+     * @return true if this size is greater than rhs
      *
-     * \param rhs the queue size to compare to this queue size
+     * @param rhs the queue size to compare to this queue size
      */
     bool operator>(const QueueSize& rhs) const;
 
     /**
-     * \return true if this size is greater than or equal to rhs
+     * @return true if this size is greater than or equal to rhs
      *
-     * \param rhs the queue size to compare to this queue size
+     * @param rhs the queue size to compare to this queue size
      */
     bool operator>=(const QueueSize& rhs) const;
 
     /**
-     * \return true if this size is equal to rhs
+     * @return true if this size is equal to rhs
      *
-     * \param rhs the queue size to compare to this queue size
+     * @param rhs the queue size to compare to this queue size
      */
     bool operator==(const QueueSize& rhs) const;
 
     /**
-     * \return true if this size is not equal to rhs
+     * @return true if this size is not equal to rhs
      *
-     * \param rhs the queue size to compare to this queue size
+     * @param rhs the queue size to compare to this queue size
      */
     bool operator!=(const QueueSize& rhs) const;
 
     /**
      * Get the underlying unit
-     * \return The underlying unit
+     * @return The underlying unit
      */
     QueueSizeUnit GetUnit() const;
 
     /**
      * Get the underlying value
-     * \return The underlying value
+     * @return The underlying value
      */
     uint32_t GetValue() const;
 
   private:
     /**
-     * \brief Parse a string representing a QueueSize
+     * @brief Parse a string representing a QueueSize
      *
      * Allowed unit representations include all combinations of
      *
      * * An SI prefix: k, K, M
      * * Bytes (8 bits) or packets
      *
-     * \param [in] s The string representation, including unit
-     * \param [in,out] unit The location to put the unit.
-     * \param [in,out] value The location to put the value, in bytes or packets.
-     * \return true if parsing was successful.
+     * @param [in] s The string representation, including unit
+     * @param [in,out] unit The location to put the unit.
+     * @param [in,out] value The location to put the value, in bytes or packets.
+     * @return true if parsing was successful.
      */
     static bool DoParse(const std::string s, QueueSizeUnit* unit, uint32_t* value);
 
@@ -190,20 +190,20 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param size the queue size
- * \returns a reference to the stream
+ * @param os the stream
+ * @param size the queue size
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const QueueSize& size);
 
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param is the stream
- * \param size the queue size
- * \returns a reference to the stream
+ * @param is the stream
+ * @param size the queue size
+ * @returns a reference to the stream
  */
 std::istream& operator>>(std::istream& is, QueueSize& size);
 
@@ -213,9 +213,9 @@
  * Increase the queue size by a packet size, if the queue size is in bytes,
  * or by one, otherwise.
  *
- * \param lhs queue size
- * \param rhs packet
- * \return the queue size increased by the packet size
+ * @param lhs queue size
+ * @param rhs packet
+ * @return the queue size increased by the packet size
  */
 template <typename Item>
 QueueSize operator+(const QueueSize& lhs, const Ptr<Item>& rhs);
@@ -223,9 +223,9 @@
  * Increase the queue size by a packet size, if the queue size is in bytes,
  * or by one, otherwise.
  *
- * \param lhs packet
- * \param rhs queue size
- * \return the queue size increased by the packet size
+ * @param lhs packet
+ * @param rhs queue size
+ * @return the queue size increased by the packet size
  */
 template <typename Item>
 QueueSize operator+(const Ptr<Item>& lhs, const QueueSize& rhs);
@@ -234,9 +234,9 @@
  * Decrease the queue size by a packet size, if the queue size is in bytes,
  * or by one, otherwise.
  *
- * \param lhs queue size
- * \param rhs packet
- * \return the queue size decreased by the packet size
+ * @param lhs queue size
+ * @param rhs packet
+ * @return the queue size decreased by the packet size
  */
 template <typename Item>
 QueueSize operator-(const QueueSize& lhs, const Ptr<Item>& rhs);
@@ -244,9 +244,9 @@
  * Decrease the queue size by a packet size, if the queue size is in bytes,
  * or by one, otherwise.
  *
- * \param lhs packet
- * \param rhs queue size
- * \return the queue size decreased by the packet size
+ * @param lhs packet
+ * @param rhs queue size
+ * @return the queue size decreased by the packet size
  */
 template <typename Item>
 QueueSize operator-(const Ptr<Item>& lhs, const QueueSize& rhs);
